LibreOffice: XCoordinateSystem Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XCoordinateSystem Interface Reference

`import <XCoordinateSystem.idl;`

Inheritance diagram for XCoordinateSystem:

## Public Member Functions
long | getDimension ()
| the dimension of the coordinate-system.
string | getCoordinateSystemType ()
| identifies the type of coordinate system (e.g.
string | getViewServiceName ()
| return a service name from which the view component for this coordinate system can be created
void | setAxisByDimension ([in] long nDimension, [in] XAxis xAxis, [in] long nIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| The dimension says whether it is a x, y or z axis.
XAxis | getAxisByDimension ([in] long nDimension, [in] long nIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| The dimension says whether it is a x, y or z axis.
long | getMaximumAxisIndexByDimension ([in] long nDimension) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| In one dimension there could be several axes to enable main and secondary axis and maybe more in future.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Function Documentation

## ◆ getAxisByDimension()

XAxis getAxisByDimension | ( | [in] long | nDimension,
|  | [in] long | nIndex )
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

The dimension says whether it is a x, y or z axis.

The index indicates whether it is a primary or a secondary axis or maybe more in future. Use nIndex == 0 for a primary axis. An empty Reference will be returned if the given nDimension and nIndex are in the valid range but no axis is set for those values. An IndexOutOfBoundsException will be thrown if nDimension is lower than 0 or greater than the value returned by getDimension() and/or if nIndex is lower 0 or greater than the value returned by getMaxAxisIndexByDimension(nDimension).

## ◆ getCoordinateSystemType()

string getCoordinateSystemType | ( |  | ) |

identifies the type of coordinate system (e.g.

Cartesian, polar ...)

## ◆ getDimension()

long getDimension | ( |  | ) |

the dimension of the coordinate-system.

## ◆ getMaximumAxisIndexByDimension()

long getMaximumAxisIndexByDimension | ( | [in] long | nDimension | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

In one dimension there could be several axes to enable main and secondary axis and maybe more in future.

This method returns the maximum index at which an axis exists for the given dimension. It is allowed that some indexes in between do not have an axis.

## ◆ getViewServiceName()

string getViewServiceName | ( |  | ) |

return a service name from which the view component for this coordinate system can be created

## ◆ setAxisByDimension()

void setAxisByDimension | ( | [in] long | nDimension,
|  | [in] XAxis | xAxis,
|  | [in] long | nIndex )
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

The dimension says whether it is a x, y or z axis.

The index says whether it is a primary or a secondary axis. Use nIndex == 0 for a primary axis.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XCoordinateSystem.idl